# Configuração para ambiente de staging/teste
# Use: docker-compose -f docker-compose.yml -f docker-compose.staging.yml up

version: '3.8'

services:
  web:
    environment:
      - DEBUG=False
      - SECRET_KEY=staging-secret-key-change-in-production
      - ALLOWED_HOSTS=staging.allure.com.br,localhost,127.0.0.1
      - DATABASE_URL=postgresql://allure_user:allure_password@db:5432/allure_staging
      - MERCADO_PAGO_SANDBOX=True
      - MODO_TESTE_PAGAMENTO=True
      - SITE_URL=https://staging.allure.com.br
    ports:
      - "8001:8000"  # Porta diferente para não conflitar com produção

  db:
    environment:
      POSTGRES_DB: allure_staging
      POSTGRES_USER: allure_user
      POSTGRES_PASSWORD: allure_password
    volumes:
      - postgres_staging_data:/var/lib/postgresql/data
    ports:
      - "5433:5432"  # Porta diferente para não conflitar com produção

  nginx:
    ports:
      - "8080:80"  # Porta diferente para staging
    environment:
      - NGINX_HOST=staging.allure.com.br
      - NGINX_PORT=80

volumes:
  postgres_staging_data:
